package com.developpez.olegoaer.screen;

import android.app.Activity;
import android.app.ProgressDialog;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.widget.ImageView;

import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.toolbox.ImageRequest;
import com.android.volley.toolbox.Volley;
import com.developpez.olegoaer.rpctuto.R;

public class VolleyImageScreen extends Activity implements Response.Listener<Bitmap> {

	private ImageView viewer;
	private ProgressDialog progress;
	
	@Override
    protected void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		setContentView(R.layout.image_activity);
		this.viewer = (ImageView) findViewById(R.id.imageView1);	
    }

	@Override
	protected void onStart() {
		super.onStart();
		
		this.progress = new ProgressDialog(this);
		this.progress.setTitle("Veuillez patientez");
		this.progress.setMessage("Rcupration de l'image en cours...");
		this.progress.setProgressStyle(ProgressDialog.STYLE_SPINNER);	  
		this.progress.show();
		
		// Instancie la file de message (cet objet doit tre un singleton)
		RequestQueue queue = Volley.newRequestQueue(this);
		String url ="http://chart.apis.google.com/chart?cht=qr&chs=200x200&chl=Coucou";

		// Requte d'une image  l'URL demande
		ImageRequest stringRequest = new ImageRequest(url, this, 0, 0, null, null);
		// Insre la requte dans la file
		queue.add(stringRequest);
	}


	@Override
	public void onResponse(Bitmap response) { //callback en cas de succs
		
		if(this.progress.isShowing())
			this.progress.dismiss();
		
		this.viewer.setImageBitmap(response);		
	}
	
}
